Bug 1384008 - ceph-fuse crashes intermittently when quotas are in use
Summary: ceph-fuse crashes intermittently when quotas are in use
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 2.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 2.1
Assignee: John Spray
QA Contact: Ramakrishnan Periyasamy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-12 11:01 UTC by John Spray
Modified: 2017-07-30 15:00 UTC (History)
5 users (show)

Fixed In Version: RHEL: ceph-10.2.3-8.el7cp Ubuntu: ceph_10.2.3-9redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-22 19:32:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 16313 None None None 2016-10-12 11:01:43 UTC
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC

Description John Spray 2016-10-12 11:01:44 UTC
This is from upstream issue:
http://tracker.ceph.com/issues/16313

ceph-fuse becomes unstable and intermittently crashes in RHCS 2.0 when quotas are in use.

Comment 2 John Spray 2016-10-12 11:04:07 UTC
I've pushed cherry-picked fix to ceph-2-rhel-patches branch.  This corresponds to the upstream backport that will go into 10.2.4 here: https://github.com/ceph/ceph/pull/10107

Comment 7 Ramakrishnan Periyasamy 2016-11-04 11:38:58 UTC
Not seen any crashes in ceph-fuse after setting quota values and running IO.
Moving this bug to verified state.

Verified in ceph-build version: 10.2.3-12.el7cp

Comment 9 errata-xmlrpc 2016-11-22 19:32:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html


Note You need to log in before you can comment on or make changes to this bug.